summaryrefslogtreecommitdiffstats
path: root/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-05 16:44:08 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-05 16:44:08 +0100
commit018ac4c66f70c9463b4f07853ee4e65fcbcd8dee (patch)
treea3a99bef9108ea390cce882406a36c230320801a /hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
parent60167da31a58f77de864bfc5f35d1e3ecb75f15e (diff)
downloadjenkins.debian.net-018ac4c66f70c9463b4f07853ee4e65fcbcd8dee.tar.xz
reproducible armhf: add two new armhf boards and pbuilder/schroot/maintenance jobs for them, thanks to Vagrant
Diffstat (limited to 'hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup21
1 files changed, 21 insertions, 0 deletions
diff --git a/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..73f4083c
--- /dev/null
+++ b/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi